- Home
- API Enriched
- Ai Services
- gen-ai
- Feedback of AI Assistant Query.
Feedback of AI Assistant Query.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/gen-ai/namespaces/example/query_feedback';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"comment":"example","namespace":"example","negative_feedback":{"remarks":["OTHER"]},"positive_feedback":{},"query":"example","query_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/gen-ai/namespaces/example/query_feedback \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "comment": "example", "namespace": "example", "negative_feedback": { "remarks": [ "OTHER" ] }, "positive_feedback": {}, "query": "example", "query_id": "example" }'Enable service by returning service account details.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the HTTP Load Balancer for current request.
Request Bodyrequired
Section titled “Request Bodyrequired”AI Assistant Query Feedback Request.
object
Configuration parameter for comment
Namespace of the HTTP Load Balancer for current request.
object
Configuration parameter for remarks
object
Query will be in text format.
Query Identifier.
Responses
Section titled “Responses”A successful response.
This can be used for messages where no values are needed.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example